Skip to main content

Get All Stride Entries

GET 

/v1/sandbox/:sandbox_id/match-making-stride/:match_making_stride_id/match-making-stride-entry

Get all MatchMakingStrideEntries in a MatchMakingStride

Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    match_making_stride_id uuidrequired
    sandbox_id uuidrequired

    Sandbox ID

Query Parameters

    page_size Page Size

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    cursor Cursor

    Possible values: non-empty and <= 128 characters

    Default value: 0

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

Responses

Successful Response

Schema

    cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    entries

    object[]

    required

    List of MatchMakingStrideEntries

  • Array [

  • step Step (integer)required

    How many partitions are created at this point in the stride

    overlap Overlap (integer)required

    How far into adjacent skill partitions overlap when trying to match players together

    min_population Min Population (integer)required

    The minimum popluation required to use this step of the stride

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when this resource was created

    match_making_stride_id uuidrequired

    Which MatchMakingStride this entry belongs to

    match_making_stride_entry_id uuidrequired

    ID to uniquely identify this MatchMakingStrideEntry

  • ]

Loading...